<!DOCTYPE html>
<html>

<head>
    <title>iContact Manage Card</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="{{asset('assets/admin/upload/logo.png')}}">
    <script src="{{asset('assets/admin/js/jquery.min.js')}}"></script>

    <link rel="" href="https://cdn.datatables.net/rowgroup/1.1.1/css/rowGroup.bootstrap4.min.css" />
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.7.1/css/buttons.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.dataTables.min.css">


    @include('admin.common.style')

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        @include('admin.common.header')
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Manage Card</h4>
                            <ol class="breadcrumb">
                                <li><a href="{{url('admin/dashboard')}}">iContact</a></li>
                                <li class="active">Manage Card</li>
                            </ol>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card-box">
                                <a href="{{url('admin/card-add')}}" class='btn add_btn'><b><i class='md md-add'></i></b>
                                    Add Card</a>
                                <table class="table table-bordered data-table">
                                    <input type="hidden" name="timezone" id="timezone">
                                    <input type="hidden" name="timezone_offset" id="timezone_offset">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>User Name</th>
                                            <th>Business Name</th>
                                            <th>Phone Number</th>
                                            <th>Card Type</th>
                                            <th>Status</th>
                                            <th width="100px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
            </div> <!-- container -->
        </div> <!-- content -->
        @include('admin.common.footer')
        @include('admin.common.script')
        <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">
        <script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
        <script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
        <script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
    </div>
    <!-- END wrapper -->
    <script>
        //================================== Display User Table ====================================
        $(function () {
            var table = $('.data-table').DataTable({
                responsive: true,
                processing: true,
                serverSide: true,
                ajax: {
                    type: "GET",
                    url: "{{ url('admin/card') }}",
                },
                columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex' },
                    {
                        data: function (row) {
                            return row.user_type === 'P' ? row.name : '';
                        },
                        name: 'name'
                    },
                    {
                        data: function (row) {
                            return row.user_type === 'C' ? row.name : '';
                        },
                        name: 'name'
                    },
                    { data: 'phone', name: 'phone' },
                    { data: 'user_type', name: 'type' },
                    { data: 'is_active', name: 'status' },
                    { data: 'action', name: 'action', orderable: false, searchable: false },
                ],
                columnDefs: [
                    {
                        targets: 3,
                        render: function (data, type, row) {
                            return row.country_code + " " + row.mobile_number;
                        }
                    },
                    {
                        targets: 4,
                        render: function (data, type, row) {
                            return data === 'C' ? 'Corporate' : 'Personal';
                        }
                    },
                    {
                        targets: 5,
                        render: function (data, type, row) {
                            var btnClass = row.is_active === 1 ? 'btn-success' : 'btn-danger';
                            var btnName = row.is_active === 1 ? 'Unlock' : 'Block';
                            return '<a href="" class="cardstatus btn btn_color btn-sm ' + btnClass + '" id=' + row.id + ' data-value=' + row.is_active + '><i class="md"></i>' + btnName + '</a>';
                        }
                    },
                ]
            });
        });

        //================================ Delete User =============================
        $(document).on('click', '.del_btn', function (e) {
            e.preventDefault();
            var id = $(this).attr('id');
            console.log(id);
            swal({
                title: "Are you sure you want to delete?",
                icon: "info",
                buttons: ["Cancel", "Yes"],
                className: "custom-swal",
                customClass: {
                    popup: 'swal-popup-white',
                    confirmButton: 'swal-btn-blue'
                }
            }).then(function (isConfirmed) {
                //console.log('yes');
                if (isConfirmed) {
                    $.ajax({
                        type: "POST",
                        url: "{{ url('admin/card-delete') }}",
                        data: {
                            _token: "{{ csrf_token() }}",
                            id: id
                        },
                        success: function (data) {
                            if (data.status === 'success') {
                                swal({
                                    title: "Congratulations!",
                                    text: "Card deleted successfully",
                                    icon: "success"
                                });
                                $('.data-table').DataTable().ajax.reload();
                            } else {
                                swal({
                                    title: "Error!",
                                    text: "Failed to delete Card",
                                    icon: "error"
                                });
                            }
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                }
                else {
                    console.log('fail');
                }
            });
        });

        //=============================== Status Of User ===========================
        $(document).on('click', '.cardstatus', function (e) {
            e.preventDefault();
            var id = $(this).attr('id');
            var status = $(this).data('value');
            console.log(id);

            swal({
                title: "Are you sure change status?",
                icon: "info",
                buttons: ["Cancel", "Yes"],
                className: "custom-swal",
                customClass: {
                    popup: 'swal-popup-white',
                    confirmButton: 'swal-btn-blue'
                }
            }).then(function (isConfirmed) {
                if (isConfirmed) {
                    $.ajax({
                        type: "POST",
                        url: "{{url('admin/card-status')}}",
                        data: {
                            _token: "{{ csrf_token() }}",
                            id: id,
                            status: status
                        },
                        success: function (data) {
                            if (data.status === 'success') {
                                swal({
                                    title: "Success!",
                                    text: "Card status changed successfully",
                                    icon: "success"
                                }).then(function () {
                                    $('.data-table').DataTable().ajax.reload();
                                });
                            } else {
                                swal("Error!", "Failed to change Card status", "error");
                            }
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                            swal("Error!", "Failed to change Card status", "error");
                        }
                    });
                }
            });
        });

    </script>
</body>

</html>