<!DOCTYPE html>
<html lang="en" class="no-js">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Premium Bootstrap 5 Landing Page Template" />
    <meta name="keywords" content="bootstrap 5, premium, marketing, multipurpose" />
    <meta name="author" content="Coderthemes" />
    <title>IContact</title>
    @include('user.inc.stylesheet')
</head>

<body class="">
    <div class="wrapper">
    @include('user.inc.after-login-header')
        <div class="login-page">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-9">
                        <div class=" followers-module">
                            <div class="chat-search">
                                <input type="text" placeholder="Search" name="" class="form-control">
                                <a href="#" class="form-icon"><img src="{{asset('assets/images/search.svg')}}"></a>
                            </div>
                            <ul class="flollowers-list list-unstyled" tabindex="5000">
                            @foreach ($followers->data as $followersUser )
                                <li class="follower-name">
                                    <div class="leftdiv">
                                        <a href="{{route('users_info', ['user_id' => $followersUser->user_id])}}">
                                             @if($followersUser->profile_image != null && $followersUser->profile_image != "https://hlik-deep-bhaumik.s3.amazonaws.com/iContact/profileImages/" )
                                          <img src="{{$followersUser->profile_image}}" alt="" class="follower-img">
                                          @elseif ($followersUser->avatar_icon != null)
                                          <img src="{{$followersUser->avatar_icon}}" alt="" class="follower-img">
                                          @elseif ($followersUser->business_logo != null)
                                          <img src="{{$followersUser->business_logo}}" alt="" class="follower-img">
                                          @else
                                          <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRnZO-2fYKVDKQXtWrGKW4Tl6cYisp9NHL_ng4zunXzLQ&s" alt="" class="follower-img">
                                          @endif
                                          </a>
                                        <div class="name">
                                             <a href="{{route('users_info', ['user_id' => $followersUser->user_id])}}">

                                                  @if ($followersUser->user_type != "C")
                                                  <h4 class="">{{$followersUser->full_name}}</h4>
                                                  @else
                                                  <h4 class="">{{$followersUser->business_name}}</h4>
                                                  @endif
                                             </a>
                                        </div>
                                        
                                    </div>
                                    <div class="rightdiv">
                                        @if ($followersUser->is_follow == 1)  
                                         <a href="" class="btn btn-following ">Following</a>
                                        @else
                                         <a href="javascript:void(0)" data-id="{{$followersUser->user_id}}" class="btn btn-followers follow">Follow</a>
                                        @endif
                                    </div>
                                </li>
                              @endforeach

                            </ul>




                        </div>
                    </div>
                </div>
            </div>
        </div>
        @include('user.inc.footer')
    </div>
    @include('user.inc.script')
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
 
 $(document).ready(function () {


        $('.follow').on('click', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            $.ajax({
                url: "{{ route('follow') }}",
                type: 'POST',
                dataType: 'json',
                data: {
                    _token: '{{ csrf_token() }}',
                    follow_id: id,
                },
                success: function (response) {
                
                    if (response.url) {
                        location.reload();
                    }
                },
                error: function (xhr, status, error) {
                    console.error(xhr.responseText);
                }
            });
        });
});
    </script>
</body>

</html>