<!DOCTYPE html>
<html>

<head>
    <title>IContact Add Card</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="<?php echo e(asset('assets/admin/upload/logo.png')); ?>">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
    <script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>

    <?php echo $__env->make('admin.common.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        <?php echo $__env->make('admin.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Manage Cards</h4>
                            <p class="text-muted page-title-alt"><b>
                            </p>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card-box">
                                <div class="card card-primary">
                                    <div class="card-header">
                                        <h3 class="card-title"><b class='form-title'>Add Card Form</b></h3>
                                    </div>
                                    <br>

                                    <!-- /.card-header -->
                                    <!-- form start -->
                                    <!--------------------------Personl Card------------------------------>
                                    <div class='create-personal-card'>
                                        <form action="" class='cardForm' enctype="multipart/form-data">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" class='card-type' name='card-type'
                                                value='<?php echo e($data->user_type); ?>'>
                                            <input type="hidden" id='puserId' name='userid' value='<?php echo e($data->id); ?>'>

                                            <div class="form-group" class='card-image'>
                                                <span id="uploadImageSpan">
                                                    <img id="previewImage"
                                                        src="<?php echo e(asset('assets/admin/upload/'.$data->profile_image)); ?>"
                                                        class="img img-responsive preview_image" height="100px"
                                                        width="100px" onclick="uploadImage()" />
                                                </span>
                                                <input type="file" class="form-control input d-none" accept="image/*"
                                                    name="image" id="profile_picture" onchange="uploadImageEvent(event)"
                                                    style="display: none;" />
                                                <span id="errorSpan" class="error text-danger"></span>
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['profile_image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label>User Name</label>
                                                <input type="text" name="name" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter User Name"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter USer Name"
                                                    value="<?php echo e($data->name); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Email</label>
                                                <input type="email" name="email" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Email Id"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Email Id"
                                                    value="<?php echo e($data->email); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label>Country Code</label>
                                                <input type="text" name="country_code" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Country Code"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Country Code"
                                                    data-parsley-pattern="^\+[0-9]{1,32}$"
                                                    data-parsley-pattern-message="Enter a valid country code"
                                                    value="<?php echo e($data->country_code); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['country_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label>Phone Number</label>
                                                <input type="text" name="mobile_number" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Phone Number"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Phone Number"
                                                    data-parsley-type="digits" data-parsley-length="[1, 128]"
                                                    data-parsley-length-message="Phone number must be between 1 and 128 digits long"
                                                    value="<?php echo e($data->mobile_number); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['mobile_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>

                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Date Of Birth</label>
                                                <input type="date" name="dob" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Date Of Born"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Email Id"
                                                    value="<?php echo e($data->date_of_birth); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['dob'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>


                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Compay Name</label>
                                                <input type="test" name="company" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Company Name"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Company Name"
                                                    value="<?php echo e($data->company_name); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['company'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Designation</label>
                                                <input type="text" name="designation" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Designation"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Email Id"
                                                    value="<?php echo e($data->designation); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['designation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <!-- /.card-body -->
                                            <div class="card-footer">
                                                <button type="submit" class="btn btn_color"
                                                    id='add_user'>Submit</button>
                                            </div>
                                        </form>
                                    </div>
                                    <!--------------------------Business Card------------------------------>
                                    <div class='create-business-card'>
                                        <form action="" class='cardForm' enctype="multipart/form-data">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" class='card-type' name='card-type' value='business'>
                                            <input type="hidden" id='buserid' name='userid' value=''>

                                            <div class="form-group" class='card-image'>
                                                <span id="uploadImageSpan">
                                                    <img id="previewImage"
                                                        src="<?php echo e(asset('assets/admin/upload/add-image.png')); ?>"
                                                        class="img img-responsive preview_image" height="100px"
                                                        width="100px" onclick="uploadImage()" />
                                                </span>
                                                <input type="file" class="form-control input d-none" accept="image/*"
                                                    name="image" id="profile_picture" onchange="uploadImageEvent(event)"
                                                    style="display: none;" />
                                                <span id="errorSpan" class="error text-danger"></span>
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['profile_image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label>Business Name</label>
                                                <input type="text" name="email" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter User Name"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter USer Name"
                                                    value="<?php echo e($data->name); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Designation</label>
                                                <input type="text" name="designation" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Email Id"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Email Id"
                                                    value="<?php echo e($data->designation); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['designation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Email</label>
                                                <input type="email" name="email" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Email Id"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Email Id"
                                                    value="<?php echo e($data->email); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label>Country Code</label>
                                                <input type="text" name="country_code" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Country Code"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Country Code"
                                                    data-parsley-pattern="^\+[0-9]{1,32}$"
                                                    data-parsley-pattern-message="Enter a valid country code"
                                                    value="<?php echo e($data->country_code); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['country_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label>Phone Number</label>
                                                <input type="text" name="mobile_number" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Phone Number"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Phone Number"
                                                    data-parsley-type="digits" data-parsley-length="[1, 128]"
                                                    data-parsley-length-message="Phone number must be between 1 and 128 digits long"
                                                    value="<?php echo e($data->mobile_number); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['mobile_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <label for="exampleInputEmail1">Address</label>
                                                <input type="text" name="email" class="form-control"
                                                    id="exampleInputEmail1" placeholder="Enter Address"
                                                    data-parsley-required="true"
                                                    data-parsley-required-message="Enter Address"
                                                    value="<?php echo e($data->address); ?>">
                                                <span class='text-danger'>
                                                    <?php $__errorArgs = ['adderss'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </span>
                                            </div>

                                            <!-- /.card-body -->
                                            <div class="card-footer">
                                                <button type="submit" class="btn btn_color"
                                                    id='add_user'>Submit</button>
                                            </div>
                                        </form>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- end row -->
            </div> <!-- container -->
        </div> <!-- content -->
        <?php echo $__env->make('admin.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('admin.common.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('assets/admin/plugins/parsleyjs/dist/parsley.min.js')); ?>"></script>

    </div>
    </div>
    <!-- END wrapper -->

    <script>
        $(document).ready(function () {
            var userType = '<?php echo e($data["user_type"]); ?>';
            var id = '<?php echo e($data["id"]); ?>';
            if (userType === 'P') {
                $('#puserId').val(id);
                $('.create-personal-card').show();
                $('.create-business-card').hide();
            } else if (userType === 'C') {
                $('#buserId').val(id);
                $('.create-business-card').show();
                $('.create-personal-card').hide();
            } else {

            }
        });

        //========================= Image ========================================
        function uploadImage() {
            document.getElementById('profile_picture').click();
        }

        function uploadImageEvent(event) {
            var file = event.target.files[0];
            var reader = new FileReader();
            reader.onload = function (e) {
                document.getElementById('previewImage').src = e.target.result;
            };
            reader.readAsDataURL(file);
        }

        // ============================= Validation ====================================
        $('.cardForm').parsley();

        // ============================= Submit Card ===================================
        $(document).on('submit', '.cardForm', function (e) {
            e.preventDefault();
            console.log('hello');

            var formData = new FormData($(this)[0]);
            var imageFile = $('#profile_picture')[0].files[0];
            formData.append('image', imageFile);

            $.ajax({
                method: "POST",
                url: "<?php echo e(url('admin/card-update')); ?>",
                dataType: "json",
                data: formData,
                contentType: false,
                processData: false,
                success: function (data) {
                    swal({
                        title: "Success!",
                        text: "Card Updated successfully",
                        icon: "success"
                    })
                },
                error: function (xhr, status, error) {
                    if (xhr.responseJSON && xhr.responseJSON.errors) {
                        var errorMessages = xhr.responseJSON.errors;
                        $.each(errorMessages, function (key, value) {
                            $('#' + key).siblings('.text-danger').text(value[0]);
                        });
                    } else {
                        console.error("Error: " + error);
                        console.log(xhr.responseText);
                    }
                }
            });
        });
    </script>
</body>
<html><?php /**PATH /var/www/html/Icontact/resources/views/admin/pages/cardedit.blade.php ENDPATH**/ ?>