<!DOCTYPE html>
<html>

<head>
  <title>iContact Edit User</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
  <meta name="author" content="Coderthemes">

  <link rel="shortcut icon" href="<?php echo e(asset('assets/admin/upload/logo.png')); ?>">
  <script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>

  <?php echo $__env->make('admin.common.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>

<body class="widescreen fixed-left">

  <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
  <div id="wrapper" class="forced">

    <!-- Start header -->
    <?php echo $__env->make('admin.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- End header-->

    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
      <!-- Start content -->
      <div class="content">
        <div class="container">

          <!-- Page-Title -->
          <div class="row">
            <div class="col-sm-12">
              <h4 class="page-title">Edit User</h4>
              <ol class="breadcrumb">
                <li><a href="<?php echo e(url('admin/dashboard')); ?>">iContact</a></li>
                <li><a href="<?php echo e(url('admin/user')); ?>">Manage User</a></li>
                <li class="active">Edit User</li>
              </ol>
            </div>
          </div>

          <div class="row">
            <div class="col-sm-12">
              <div class="card-box">
                <div class="card card-primary">
                  <div class="card-header">
                    <h3 class="card-title"><b class='form-title'>Edit User Data</b></h3>
                  </div>
                  <br>
                  <!-- /.card-header -->
                  <!-- form start -->
                  <form id="userUpdateform" method='post' enctype="multipart">
                    <?php echo csrf_field(); ?>

                    <input type="hidden" name="user_id" class="user_id" value='<?php echo e($data->id); ?>'>
                    <div class="card-body">

                      <div class="form-group">
                        <label>User Type</label>
                        <select class="form-control" name='type' id='type_<?php echo e($data->id); ?>' data-parsley-required="true"
                          data-parsley-required-message="Select Type">
                          <option value="">--- Select Type ---</option>
                          <option value="P" <?php if($data->user_type =='P' ): ?> selected <?php endif; ?>>Personal</option>
                          <option value="C" <?php if($data->user_type =='C' ): ?> selected <?php endif; ?>>Corporate</option>
                        </select>
                        <span class='text-danger'>
                          <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                          <?php echo e($message); ?>

                          <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </span>
                      </div>
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">Fullname</label>
                      <input type="text" name="fullname" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Fullname" data-parsley-required="true"
                        data-parsley-required-message="Enter Fullname" data-parsley-length="[3, 128]"
                        data-parsley-length-message="Fullname must be between 3 and 128 characters long"
                        data-parsley-pattern="^[A-Za-z ]+$"
                        data-parsley-pattern-message="Only alphabetic characters and spaces are allowed"
                        data-parsley-no-whitespace-start="true"
                        data-parsley-no-whitespace-start-message="Fullname cannot start with whitespace"
                        value="<?php echo e($data->full_name); ?>">
                      <span class='text-danger'>
                        <?php $__errorArgs = ['fullname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                      </span>
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">Email ID</label>
                      <input type="email" name="email" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Email ID" data-parsley-required="true"
                        data-parsley-required-message="Enter Email ID" value="<?php echo e($data->email); ?>">
                      <span class='text-danger'>
                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                      </span>
                    </div>

                    <div class="form-group">
                      <label>Country Code</label>
                      <br>
                      <input type="text" name="country_code" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Country Code" data-parsley-required="true"
                        data-parsley-required-message="Enter Country Code" data-parsley-pattern="^\+[0-9]{1,32}$"
                        data-parsley-pattern-message="Enter a valid country code" value="<?php echo e($data->country_code); ?>">
                      <span class='text-danger'>
                        <?php $__errorArgs = ['country_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                      </span>
                    </div>

                    <div class="form-group">
                      <label>Phone Number</label>
                      <input type="text" name="phone_number" class="form-control" id="exampleInputEmail1"
                        placeholder="Enter Phone Number" data-parsley-required="true"
                        data-parsley-required-message="Enter Phone Number" data-parsley-type="digits"
                        data-parsley-length="[1, 128]"
                        data-parsley-length-message="Phone number must be between 1 and 128 digits long"
                        value="<?php echo e($data->mobile_number); ?>">
                      <span class='text-danger'>
                        <?php $__errorArgs = ['phone_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <?php echo e($message); ?>

                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                      </span>
                    </div>

                    <!-- /.card-body -->
                    <div class="card-footer">
                      <button type="button" class="btn btn_color btn_update">Update</button>
                    </div>

                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- end row -->
      </div> <!-- container -->
    </div> <!-- content -->
    <?php echo $__env->make('admin.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('admin.common.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script type="text/javascript" src="<?php echo e(asset('assets/admin/plugins/parsleyjs/dist/parsley.min.js')); ?>"></script>

  </div>
  </div>
  <!-- END wrapper -->
  <script>
    //=================================Validation==================================
    $('#userForm').parsley();
    //================================ Update User Data ==========================
    $(document).on('click', '.btn_update', function (e) {
      console.log('hii');
      e.preventDefault();
      var id = $('#user_id').val();
      var formData = new FormData($("#userUpdateform")[0]);

      $.ajax({
        method: "POST",
        url: "<?php echo e(url('admin/user-update')); ?>",
        dataType: "json",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
          window.location.href = "<?php echo e(url('admin/user')); ?>";
        },
        error: function (xhr, status, error) {
          if (xhr.responseJSON && xhr.responseJSON.errors) {
            var errorMessages = xhr.responseJSON.errors;
            $.each(errorMessages, function (key, value) {
              $('input[name="' + key + '"]').siblings('.text-danger').text(value[0]);
            });
          } else {
            console.error("Error: " + error);
            console.log(xhr.responseText);
          }
        }
      });
    });

  </script>
</body>

</html><?php /**PATH /var/www/html/Icontact/resources/views/admin/pages/useredit.blade.php ENDPATH**/ ?>