<!DOCTYPE html>
<html>

<head>
    <title>iContact View User</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="<?php echo e(asset('assets/admin/upload/logo.png')); ?>">
    <script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>

    <?php echo $__env->make('admin.common.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        <?php echo $__env->make('admin.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">View User Details</h4>
                            <ol class="breadcrumb">
                                <li><a href="<?php echo e(url('admin/dashboard')); ?>">iContact</a></li>
                                <li><a href="<?php echo e(url('admin/user')); ?>">Manage User</a></li>
                                <li class="active">View User Details</li>
                            </ol>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card-box">
                                <div class="card card-primary">
                                    <div class="card-header">
                                        <h3 class="card-title"><b class='form-title'>View User Data</b></h3>
                                    </div>
                                    <br>

                                    <!-- /.card-header -->

                                    <div class="card-body view-user-data">
                                        <input type="hidden" name="user_id" id="id" value='<?php echo e($data->id); ?>'>
                                        <!-- <div class="form-group">
                                            
                                        </div> -->
                                        <table class='table table-bordered'>
                                            <tr>
                                                <td colspan="2">
                                                    <?php if($data->user_type=='P'): ?>
                                                    <img class='card-img'
                                                        src="<?php echo e(config('image.url.profile') . $data->profile_image); ?>"
                                                        alt="" width='100px' height='100px'>
                                                    <?php endif; ?>
                                                    <?php if($data->user_type == 'C'): ?>
                                                    <img class='card-img'
                                                        src="<?php echo e(config('image.url.business') . $data->profile_image); ?>"
                                                        alt="" width='100px' height='100px'>
                                                    <?php endif; ?>
                                                </td> <!------>
                                            </tr>
                                            <tr>
                                                <td class='data-title text-dark'>Account Type</td>
                                                <td class='text-muted'><?php if($data->user_type =='P'): ?>
                                                    Personal
                                                    <?php endif; ?>
                                                    <?php if($data->user_type =='C'): ?>
                                                    Corporate
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class='data-title text-dark'>Name</td>
                                                <td class='text-muted'><?php echo e($data->full_name); ?></td>
                                            </tr>
                                            <tr>
                                                <td class='data-title text-dark'>Email</td>
                                                <td class='text-muted'><?php echo e($data->email); ?></td>
                                            </tr>
                                            <tr>
                                                <td class='data-title text-dark'>Phone Number</td>
                                                <td class='text-muted'><?php echo e($data->country_code); ?> <?php echo e($data->mobile_number); ?></td>
                                            </tr>

                                            <tr>
                                                <td class='data-title text-dark'>Total Followers</td>
                                                <td class='text-muted'><?php echo e($follower); ?></td>
                                            </tr>

                                            <tr>
                                                <td class='data-title text-dark'>Total Following</td>
                                                <td class='text-muted'><?php echo e($following); ?></td>
                                            </tr>
                                        </table>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <!-- end row -->
            </div> <!-- container -->
        </div> <!-- content -->
        <?php echo $__env->make('admin.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('admin.common.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <script type="text/javascript" src="<?php echo e(asset('assets/admin/plugins/parsleyjs/dist/parsley.min.js')); ?>"></script>

    </div>
    </div>
    <!-- END wrapper -->
    <script>
        //=================================Validation==================================
        $('#userForm').parsley();
        window.Parsley.addValidator('noWhitespaceStart', {
            validateString: function (value) {
                return /^\S/.test(value);
            },
            messages: {
                en: 'Fullname cannot start with whitespace'
            }
        });
    </script>
</body>

</html><?php /**PATH /var/www/html/Icontact/resources/views/admin/pages/userview.blade.php ENDPATH**/ ?>